Bug 241065 - net-mgmt/prometheus2: Update to 2.13.0
Summary: net-mgmt/prometheus2: Update to 2.13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Steve Wills
URL: http://cve.mitre.org/cgi-bin/cvename....
Keywords: security
Depends on:
Blocks:
 
Reported: 2019-10-04 19:12 UTC by David O'Rourke
Modified: 2019-10-08 05:49 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
net-mgmt/prometheus2: Update to 2.13.0 (1.88 KB, patch)
2019-10-04 19:12 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2019-10-04 19:12:01 UTC
Created attachment 208099 [details]
net-mgmt/prometheus2: Update to 2.13.0

This patch updates net-mgmt/prometheus2 to 2.13.0.

This release includes a security related bugfix for an XSS vulnerability, CVE-2019-10215.
More can be read at http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10215

One breaking change was made as the prometheus_sd_configs_failed_total time series was renamed to prometheus_sd_failed_configs, as well as being changed to a gauge.

This release now includes a tsdb binary for interacting with the time series database. Since the binary name bin/tsdb was already in use by databases/opentsdb, the binary in net-mgmt/prometheus2 is named bin/promtsdb.

-David
Comment 1 commit-hook freebsd_committer 2019-10-07 14:59:37 UTC
A commit references this bug:

Author: swills
Date: Mon Oct  7 14:59:15 UTC 2019
New revision: 513956
URL: https://svnweb.freebsd.org/changeset/ports/513956

Log:
  net-mgmt/prometheus2: Update to 2.13.0

  PR:		241065
  Submitted by:	David O'Rourke <dor.bsd@xm0.uk> (maintainer)

Changes:
  head/net-mgmt/prometheus2/Makefile
  head/net-mgmt/prometheus2/distinfo
  head/net-mgmt/prometheus2/pkg-plist
Comment 2 Steve Wills freebsd_committer 2019-10-07 15:00:33 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-10-08 05:49:13 UTC
A commit references this bug:

Author: tobik
Date: Tue Oct  8 05:49:10 UTC 2019
New revision: 514034
URL: https://svnweb.freebsd.org/changeset/ports/514034

Log:
  net-mgmt/prometheus2: Rename tsdb using GO_TARGET

  PR:		241065

Changes:
  head/net-mgmt/prometheus2/Makefile